Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Class XSQLDatasourceConnectionManager

`java.lang.Object
oracle.xml.xsql.XSQLDatasourceConnectionManager`

All Implemented Interfaces:
  XSQLConnectionManager, XSQLConnectionManagerFactory

      public class XSQLDatasourceConnectionManager

extends java.lang.Object
implements XSQLConnectionManager, XSQLConnectionManagerFactory

Generic implementation of XSQLConnectionManager that uses JNDI to lookup a JDBC datasource from the container in which the XSQL servlet is running.

Constructor Summary
`XSQLDatasourceConnectionManager()`

Method Summary
`XSQLConnectionManager` `create()` Needed to implement XSQLConnectionManagerFactory interface
`XSQLConnection` `getConnection(java.lang.String connName, XSQLPageRequest env)` Needed to implement XSQLConnectionManager interface
`void` `releaseConnection(XSQLConnection theConn, XSQLPageRequest env)` Needed to implement XSQLConnectionManager interface
`protected XSQLConnection` `wrapConnection(java.sql.Connection conn, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLDatasourceConnectionManager

    public XSQLDatasourceConnectionManager()

Method Detail

### getConnection

    public XSQLConnection getConnection(java.lang.String connName,
                                        XSQLPageRequest env)
                                 throws java.sql.SQLException

  Needed to implement XSQLConnectionManager interface
  Specified by:
    `getConnection` in interface `XSQLConnectionManager`
  Throws:
    `java.sql.SQLException`

### wrapConnection

    protected XSQLConnection wrapConnection(java.sql.Connection conn,
                                            java.lang.String name)

### releaseConnection

    public void releaseConnection(XSQLConnection theConn,
                                  XSQLPageRequest env)

  Needed to implement XSQLConnectionManager interface
  Specified by:
    `releaseConnection` in interface `XSQLConnectionManager`

### create

    public XSQLConnectionManager create()

  Needed to implement XSQLConnectionManagerFactory interface
  Specified by:
    `create` in interface `XSQLConnectionManagerFactory`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.